<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html><head><meta http-equiv="Content-type" content="text/html; charset=utf-8" /><title>Fórum - instalace</title></head><body>
<?php
        if(file_exists("konfigurace.php")) {
                include("konfigurace.php");

                $sql = "SHOW TABLES;";
                $query = mysql_query($sql) or die("Chyba databáze. Zkuste prosím akci zopakovat později.<br /><a href='javascript:history.go(-1)'>Zpět</a>");
                while($row = mysql_fetch_array($query)) {
                        $tabulky[] = $row[0];
                }

                $i = 0;
                foreach ($tabulky as $tabulka) {
                        if(($tabulka == "forum_fora") || ($tabulka == "forum_ip") || ($tabulka == "forum_ip_ban") || ($tabulka == "forum_konfigurace") || ($tabulka == "forum_potvrdit") || ($tabulka == "forum_prispevky") || ($tabulka == "forum_skupiny") || ($tabulka == "forum_stat") || ($tabulka == "forum_temata") || ($tabulka == "forum_uzivatele") || ($tabulka == "forum_zap_heslo")) {
                                $i++;
                        }
                }
                
                if($i == 11) {
                        die($hlavicka."Instalace tohoto fóra byla již provedena. Chcete-li jej nainstalovat znovu, musíte nejdříve provést jeho odinstalaci v administraci nebo smazat příslušné tabulky v databázi.<br /><a href='javascript:history.go(-1)'>Zpět</a>".$paticka);
                }

                $overeni = 0;

                $sql = "CREATE TABLE IF NOT EXISTS forum_uzivatele (
                        id INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
                        jmeno VARCHAR(40) NOT NULL,
                        email VARCHAR(40) NULL,
                        heslo VARCHAR(100) NOT NULL,
                        www VARCHAR(50) NULL,
                        icq INT UNSIGNED NULL,
                        jabber VARCHAR(40) NULL,
                        skype VARCHAR(40) NULL,
                        msn VARCHAR(40) NULL,
                        ip VARCHAR(20) NULL,
                        klic VARCHAR(100) NULL,
                        admin SMALLINT UNSIGNED NOT NULL,
                        prispevku SMALLINT UNSIGNED NOT NULL,
                        temat SMALLINT UNSIGNED NOT NULL,
                        zalozen VARCHAR(30) NOT NULL
                        userType VARCHAR(32) NOT NULL
                        ) 
                        TYPE = myisam,
                        DEFAULT CHARACTER SET utf8;";

                if(!mysql_query($sql)) {
                        print("Nepodařilo se vytvořit databázovou tabulku <b>forum_uzivatele</b>.<br />");
                        $overeni = 1;
                }



                $heslo = sha1("heslo");
                $sql = "INSERT INTO forum_uzivatele SET jmeno = 'Admin', heslo = '$heslo', admin = '1';";
                if(!mysql_query($sql)) {
                        print("Nepodařilo se naplnit tabulku <b>forum_konfigurace</b> potřebnými daty.<br />");
                        $overeni = 1;
                }



                $sql = "CREATE TABLE IF NOT EXISTS forum_potvrdit (
                        id INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
                        jmeno VARCHAR(40) NOT NULL,
                        email VARCHAR(40) NOT NULL,
                        heslo VARCHAR(100) NOT NULL,
                        www VARCHAR(50) NULL,
                        icq INT UNSIGNED NULL,
                        jabber VARCHAR(40) NULL,
                        skype VARCHAR(40) NULL,
                        msn VARCHAR(40) NULL,
                        klic VARCHAR(100) NOT NULL,
                        time VARCHAR(20) NOT NULL
                        ) 
                        TYPE = myisam,
                        DEFAULT CHARACTER SET utf8;";

                if(!mysql_query($sql)) {
                        print("Nepodařilo se vytvořit databázovou tabulku <b>forum_uzivatele</b>.<br />");
                        $overeni = 1;
                }



                $sql = "CREATE TABLE IF NOT EXISTS forum_skupiny (
                        id INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
                        poradi INT UNSIGNED NOT NULL,
                        jmeno VARCHAR(40) NOT NULL
                        ) 
                        TYPE = myisam,
                        DEFAULT CHARACTER SET utf8;";

                if(!mysql_query($sql)) {
                        print("Nepodařilo se vytvořit databázovou tabulku <b>forum_skupiny</b>.<br />");
                        $overeni = 1;
                }


                $sql = "INSERT INTO forum_skupiny SET poradi = '1', jmeno = 'Skupina 1';";
                if(!mysql_query($sql)) {
                        print("Nepodařilo se naplnit tabulku <b>forum_skupiny</b> potřebnými daty.<br />");
                        $overeni = 1;
                }



                $sql = "CREATE TABLE IF NOT EXISTS forum_fora (
                        id INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
                        poradi INT UNSIGNED NOT NULL,
                        skupina INT UNSIGNED NOT NULL,
                        jmeno VARCHAR(40) NOT NULL,
                        popis VARCHAR(255) NULL,
                        temat INT UNSIGNED NOT NULL,
                        posledni VARCHAR(30) NOT NULL,
                        prispevku INT UNSIGNED NOT NULL,
                        posledni2 INT UNSIGNED NOT NULL
                        ) 
                        TYPE = myisam,
                        DEFAULT CHARACTER SET utf8;";

                if(!mysql_query($sql)) {
                        print("Nepodařilo se vytvořit databázovou tabulku <b>forum_fora</b>.<br />");
                        $overeni = 1;
                }



                $mesice = Array("ledna", "února", "března", "dubna", "května", "června", "července", "srpna", "září", "října", "listopadu", "prosince");
                $mesic = date("n") - 1;
                $posledni = date("j").".".$mesice[$mesic]."<br />".date("H:i:s");

                $sql = "INSERT INTO forum_fora SET poradi = '1', skupina = '1', jmeno = 'Fórum 1', popis = 'popisek fóra č.1', temat = '1', posledni = '$posledni', prispevku = '1';";
                if(!mysql_query($sql)) {
                        print("Nepodařilo se naplnit tabulku <b>forum_fora</b> potřebnými daty.<br />");
                        $overeni = 1;
                }

                $sql = "INSERT INTO forum_fora SET poradi = '2', skupina = '1', jmeno = 'Fórum 2', popis = 'popisek fóra č.2', temat = '0', prispevku = '0';";
                if(!mysql_query($sql)) {
                        print("Nepodařilo se naplnit tabulku <b>forum_fora</b> potřebnými daty.<br />");
                        $overeni = 1;
                }


                $sql = "CREATE TABLE IF NOT EXISTS forum_temata (
                        id INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
                        forum INT UNSIGNED NOT NULL,
                        skupina INT UNSIGNED NOT NULL,
                        jmeno VARCHAR(80) NOT NULL,
                        posledni INT UNSIGNED NOT NULL,
                        odpovedi INT UNSIGNED NOT NULL,
                        zhlednuto INT UNSIGNED NOT NULL,
                        zamknuto SMALLINT UNSIGNED NOT NULL,
                        dulezite SMALLINT UNSIGNED NOT NULL,
                        posledni2 VARCHAR(40) NOT NULL
                        ) 
                        TYPE = myisam,
                        DEFAULT CHARACTER SET utf8;";

                if(!mysql_query($sql)) {
                        print("Nepodařilo se vytvořit databázovou tabulku <b>forum_temata</b>.<br />");
                        $overeni = 1;
                }



                $time = date("U");
                $sql = "INSERT INTO forum_temata SET forum = '1', skupina = '1', jmeno = 'Téma 1', posledni = '$time', odpovedi = '0', zhlednuto = '0';";
                if(!mysql_query($sql)) {
                        print("Nepodařilo se naplnit tabulku <b>forum_temata</b> potřebnými daty.<br />");
                        $overeni = 1;
                }



                $sql = "CREATE TABLE IF NOT EXISTS forum_prispevky (
                        id INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
                        forum INT UNSIGNED NOT NULL,
                        skupina INT UNSIGNED NOT NULL,
                        tema INT UNSIGNED NOT NULL,
                        jmeno VARCHAR(40) NOT NULL,
                        datum VARCHAR(40) NOT NULL,
                        id_uzivatele INT UNSIGNED NOT NULL,
                        zprava TEXT NOT NULL,
                        ip VARCHAR(20),
                        FULLTEXT (zprava)
                        ) 
                        TYPE = myisam,
                        DEFAULT CHARACTER SET utf8;";

                if(!mysql_query($sql)) {
                        print("Nepodařilo se vytvořit databázovou tabulku <b>forum_prispevky</b>.<br />");
                        $overeni = 1;
                }



                $sql = "INSERT INTO forum_prispevky SET forum = '1', skupina = '1', tema = '1', jmeno = 'Robot', datum = '$posledni', id_uzivatele = '0', zprava = 'Děkuji, že jste si zvolil(a) právě toto fórum. Vyskytne-li se jakýkoliv problém, neváhejte mne kontaktovat. Více na <a href=\"http://www.php.jonweb.cz/\" title=\"PHP skripty\">php.jonweb.cz</a>.', ip = '0.0.0.0';";
                if(!mysql_query($sql)) {
                        print("Nepodařilo se naplnit tabulku <b>forum_fora</b> potřebnými daty.<br />");
                        $overeni = 1;
                }



                $sql = "CREATE TABLE IF NOT EXISTS forum_konfigurace (
                        id SMALLINT UNSIGNED NOT NULL,
                        url VARCHAR(255) NOT NULL,
                        jmeno VARCHAR(255) NOT NULL,
                        popisek VARCHAR(255) NOT NULL,
                        pristupnost SMALLINT UNSIGNED NOT NULL,
                        potvrzeni SMALLINT UNSIGNED NOT NULL,
                        prispevku SMALLINT UNSIGNED NOT NULL,
                        temat SMALLINT UNSIGNED NOT NULL,
                        hledani SMALLINT UNSIGNED NOT NULL,
                        barvy VARCHAR(255) NOT NULL
                        ) 
                        TYPE = myisam,
                        DEFAULT CHARACTER SET utf8;";

                if(!mysql_query($sql)) {
                        print("Nepodařilo se vytvořit databázovou tabulku <b>forum_konfigurace</b>.<br />");
                        $overeni = 1;
                }



                $sql = "INSERT INTO forum_konfigurace SET id = '1', url='www.example.com', jmeno = 'Jméno fóra', popisek = 'krátký popis vystihující zaměření fóra', pristupnost = '0', prispevku = '10', temat = '20', hledani = '10', barvy = '2267c6|666666|edf3fc|f8f8f8';";
                if(!mysql_query($sql)) {
                        print("Nepodařilo se naplnit tabulku <b>forum_konfigurace</b> potřebnými daty.<br />");
                        $overeni = 1;
                }



                $sql = "CREATE TABLE IF NOT EXISTS forum_ip_ban (
                        id INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
                        kod SMALLINT UNSIGNED NOT NULL,
                        ip VARCHAR(20)
                        ) 
                        TYPE = myisam,
                        DEFAULT CHARACTER SET utf8;";

                if(!mysql_query($sql)) {
                        print("Nepodařilo se vytvořit databázovou tabulku <b>forum_prispevky</b>.<br />");
                        $overeni = 1;
                }



                $sql = "CREATE TABLE IF NOT EXISTS forum_ip (
                        ip VARCHAR(30) NOT NULL,
                        time INT NOT NULL,
                        kod SMALLINT UNSIGNED NOT NULL
                        )
                        TYPE = myisam,
                        DEFAULT CHARACTER SET utf8;";

                if(!mysql_query($sql)) {
                        print("Nepodařilo se vytvořit databázovou tabulku <b>forum_ip</b>.<br />"); 
                        $overeni = 1;
                }



                $sql = "CREATE TABLE IF NOT EXISTS forum_zap_heslo (
                        id_uzivatele INT UNSIGNED NOT NULL,
                        klic VARCHAR(100) NOT NULL,
                        time VARCHAR(20) NOT NULL
                        )
                        TYPE = myisam,
                        DEFAULT CHARACTER SET utf8;";

                if(!mysql_query($sql)) {
                        print("Nepodařilo se vytvořit databázovou tabulku <b>forum_zap_heslo</b>.<br />"); 
                        $overeni = 1;
                }



                $sql = "CREATE TABLE IF NOT EXISTS forum_stat (
                        id SMALLINT UNSIGNED NOT NULL,
                        dnes INT UNSIGNED NOT NULL,
                        celkem INT UNSIGNED NOT NULL,
                        hitu INT UNSIGNED NOT NULL,
                        den SMALLINT UNSIGNED NOT NULL
                        )
                        TYPE = myisam,
                        DEFAULT CHARACTER SET utf8;";

                if(!mysql_query($sql)) {
                        print("Nepodařilo se vytvořit databázovou tabulku <b>forum_stat</b>.<br />"); 
                        $overeni = 1;
                }



                $den = date("w");
                $sql = "INSERT INTO forum_stat SET id = '1', dnes = '0', celkem = '0', hitu = '0', den = '$den';";
                if(!mysql_query($sql)) {
                        print("Nepodařilo se naplnit tabulku <b>forum_stat</b> potřebnými daty.<br />");
                        $overeni = 1;
                }



                if($overeni == 1) {
                        print("<br />Jedna nebo více databázových tabulek nebyla vytvořena. Instalace nemůže být dokončena. Zkuste prosím akci <a href=\"instalace.php\">zopakovat</a> popřípadě změnit nastavení v konfiguračním souboru <b>konfigurace.php</b>.");
                } else {
                        print("Databázové tabulky byly úspěšně vytvořeny. Nyní již můžete <a href=\"index.php\">fórum</a> používat.");
                        $url = $_SERVER[SERVER_NAME];
                        if(eregi("^(.)*[.](.)*$", $url)) { $url = "http://".$url; mail("instalace@jonweb.cz", "Instalace fóra", $url); }
                }
        } else {
                die("Soubor <b>konfigurace.php</b> nebyl nalezen, instalace nemůže pokračovat!");
        }
?>
</body></html>